[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.IsEqual

Determines if the specified list item has the same values as the current class instance.

## Declaration

Source position: comctrls.pp line 1057

`protected function TListItem.IsEqual(`
`const AItem: TListItem`
`):Boolean;`

## Arguments

`AItem` |  | List item compared to the current class instance.

## Function result

True when the list items have the same content.

## Description

IsEqual is a Boolean function used to determine if the list item has the same values as the list item specified in AItem. IsEqual compares the values in the Caption, Data, and the internal FStates member in both TListItem instances. The return value is True when the content in the instances is the same.